# Generated by Django 4.1.8 on 2023-06-23 07:29

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers
import utilities.json


class Migration(migrations.Migration):
    dependencies = [
        ("dcim", "0172_larger_power_draw_values"),
        ("extras", "0092_delete_jobresult"),
        (
            "infrastructure_manager_sync",
            "0003_alter_infrastructuremanagersyncvminfo_ims",
        ),
    ]

    operations = [
        migrations.CreateModel(
            name="InfrastructureManagerSyncHostInfo",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True, primary_key=True, serialize=False
                    ),
                ),
                ("created", models.DateTimeField(auto_now_add=True, null=True)),
                ("last_updated", models.DateTimeField(auto_now=True, null=True)),
                (
                    "custom_field_data",
                    models.JSONField(
                        blank=True,
                        default=dict,
                        encoder=utilities.json.CustomFieldJSONEncoder,
                    ),
                ),
                ("physical_cpu_cores", models.CharField(blank=True, max_length=100)),
                ("build_number", models.CharField(blank=True, max_length=100)),
                ("memory", models.PositiveIntegerField(blank=True, null=True)),
                (
                    "host",
                    models.OneToOneField(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="InfrastructureManagerSyncHostInfo",
                        to="dcim.device",
                    ),
                ),
                (
                    "tags",
                    taggit.managers.TaggableManager(
                        through="extras.TaggedItem", to="extras.Tag"
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
